%define upstream_name Numbers_Words
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	0.16.3
Release:     	%mkrel 1
Summary:    	The PEAR Numbers_Words package provides methods for spelling numerals in words
License: 	PHP License
Group: 		Development/PHP
Source0: 	http://pear.php.net/get/Numbers_Words-%{version}.tgz
URL: 		http://pear.php.net/package/Numbers_Words
BuildRequires:	php-pear >= 1.4.7
Requires: 	php-pear-Math_BigInteger
Requires:	php-pear >= 1.4.0b1
BuildArch: 	noarch

%description
With Numbers_Words class you can convert numbers
written in arabic digits to words in several languages.
You can convert an integer between -infinity and infinity.
If your system does not support such long numbers you can
call Numbers_Words::toWords() with just a string.

With the Numbers_Words::toCurrency($num, $locale, 'USD') method
you can convert a number (decimal and fraction part) to words with currency
name. 

The following languages are supported:
    * bg (Bulgarian) by Kouber Saparev
    * cs (Czech) by Petr 'PePa' Pavel
    * de (German) by Piotr Klaban
    * dk (Danish) by Jesper Veggerby
    * en_100 (Donald Knuth system, English) by Piotr Klaban
    * en_GB (British English) by Piotr Klaban
    * en_US (American English) by Piotr Klaban
    * es (Spanish Castellano) by Xavier Noguer
    * es_AR (Argentinian Spanish) by Martin Marrese
    * et (Estonian) by Erkki Saarniit
    * fr (French) by Kouber Saparev
    * fr_BE (French Belgium) by Kouber Saparev and Philippe Bajoit
    * he (Hebrew) by Hadar Porat
    * hu_HU (Hungarian) by Nils Homp
    * id (Indonesian) by Ernas M. Jamil and Arif Rifai Dwiyanto
    * it_IT (Italian) by Filippo Beltramini and Davide Caironi
    * lt (Lithuanian) by Laurynas Butkus
    * nl (Dutch) by WHAM van Dinter
    * pl (Polish) by Piotr Klaban
    * pt_BR (Brazilian Portuguese) by Marcelo Subtil Marcal and Mario
H.C.T.
    * ru (Russian) by Andrey Demenev
    * sv (Swedish) by Robin Ericsson

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Numbers_Words.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Numbers_Words.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Numbers_Words
fi

%files
%defattr(-,root,root)
%doc docs/Numbers_Words/*
%{peardir}/*
%{xmldir}/Numbers_Words.xml


%changelog

* Sun Jan 22 2012 spuhler <spuhler> 0.16.3-1.mga2
+ Revision: 199881
- upgrade to 0.16.3
  pearized spec file

* Sat Jan 29 2011 spuhler <spuhler> 0.16.1-4.mga1
+ Revision: 44017
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Numbers_Words

